
/**
 * Demonstrates using a function how to perform calculations without
 * repeating code.
 * 
 * @author Shane A
 */
public class Calculation
{
    public static void main(String[] args) {
        System.out.print("Degrees Fahrenheit: ");
        int fahrenheit = StdIn.readInt();
        System.out.println("Degrees Celsius: " + convert(fahrenheit));
    }
    // Much like the previous function this one takes a set of instructions
    // and enables them to be repeated easily. The "double" header means that
    // we will be expecting to get a double value out of the function. We also
    // take in an integer paremeter, f, our degrees fahrenheit.
    public static double convert(int f) {
        return (5.0 / 9.0) * (f - 32);
    }
}
