
/**
 * Given a specific quadratic (hard coded) a table of values will be generated.
 * The table of values will start at the requested user bounds.
 * 
 * @author Shane A
 */
public class TableofValues
{
    public static void main(String[] args) {
        int lowerBound = 0;
        int upperBound = 0;
        int result = 0;
        
        // Get the lower and upper bounds.
        System.out.print("Lower Bound: ");
        lowerBound = StdIn.readInt();
               
        System.out.print("Upper Bound: ");
        upperBound = StdIn.readInt();
        
        System.out.println();
        
        // Start a "counting" loop (for loop) at lowerBound.
        // Continue until i is less than or equal to upperBound.
        // Increment i by one for each iteration.
        for (int i = lowerBound; i <= upperBound; i++) {
            result = (5 * (int)Math.pow(i, 2)) + (3 * i) + 7; // Our generic quadratic.
            System.out.println(i + "\t" + result);
        }
    }
}
