
/**
 * Automates the previous fahrenheit to celsius conversion using a
 * do... while loop.
 * 
 * @author Shane A 
 */
public class PostRepeat
{
    public static void main(String[] args)
    {
        int fahrenheit = 0;
        double celsius = 0.0;
        
        System.out.println("Continue entering temperatures until it's over 5000");
        
        // Loop until the celsius temperature is over 5000 degrees.
        // Do one iteration first and then check the condition after iterating.
        do {
            System.out.print("Degrees Fahrenheit: ");
            fahrenheit = StdIn.readInt();
            celsius = (5.0 / 9.0) * (fahrenheit - 32);
            System.out.println("Degrees Celsius: " + celsius);
        } while( celsius < 5000);
    }
}
