
/**
 * Automates the previous fahrenheit to celsius conversion using a while loop.
 * 
 * @author Shane A 
 */
public class PostRepeat
{
    public static void main(String[] args)
    {
        int fahrenheit = 0;
        double celsius = 0.0;
        
        System.out.println("Continue entering temperatures until it's over 5000");
        
        // Loop until the celsius temperature is over 5000 degrees.
        // Check the condition before iterating. We must "prime" the loop
        // that is get it ready for input before commencing. The loop is 
        // primed by starting celsius at 0 degrees.
     
        while (celsius < 5000) {
            System.out.print("Degrees Fahrenheit: ");
            fahrenheit = StdIn.readInt();
            celsius = (5.0 / 9.0) * (fahrenheit - 32);
            System.out.println("Degrees Celsius: " + celsius);
        }
    }
}
